For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTImport phone number
      • GETList phone numbers
      • GETGet phone number
      • PATCHUpdate phone number
      • DELDelete phone number
      • GETGet SIP messages for a phone number
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsPhone Numbers

Import phone number

POST
/v1/convai/phone-numbers
POST
/v1/convai/phone-numbers
$curl -X POST https://api.elevenlabs.io/v1/convai/phone-numbers \
> -H "Content-Type: application/json" \
> -d '{
> "phone_number": "+919999999999",
> "label": "Exotel Outbound",
> "provider": "exotel",
> "account_sid": "your-account-sid",
> "api_key": "your-api-key",
> "api_token": "********",
> "api_subdomain": "api.in.exotel.com",
> "app_id": "12345"
>}'
1{
2 "phone_number_id": "string"
3}

Import Phone Number from provider configuration (Twilio, Exotel, or SIP trunk)

Was this page helpful?
Previous

List phone numbers

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
CreateTwilioPhoneNumberRequestobjectRequired
OR
CreateExotelPhoneNumberRequestobjectRequired
OR
CreateSIPTrunkPhoneNumberRequestV2objectRequired

Response

Successful Response
phone_number_idstring
Phone entity ID

Errors

422
Unprocessable Entity Error